#include <stdlib.h>
#include <stdio.h>

int main()
{   
    int opcion; 
    float Voltaje, Intensidad, Resistencia;
    
    printf("\tLey de ohm\n\n");
    printf("%cCual es la magnitud que desea calcular?\n", 936);
    printf("1 = Voltaje, 2 = Intensidad, 3 = Resistencia:\n");
    scanf ("%i", &opcion);
    
    switch (opcion)
          {
           case 1:
                printf("Desea calcular el Voltaje\n");
                printf("Ingrese los valores de Intensidad y Resistencia:\n");
                scanf("%f\t%f", &Intensidad, &Resistencia);
                printf("Sus valores son:\n");
                printf("\tVoltaje\t\tIntensidad\tResistencia\n");
                printf("\t%f\t%f\t%f\n", Intensidad*Resistencia, Intensidad, Resistencia);
                break;
           case 2:
                printf("Desea calcular la Intensidad\n");
                printf("Ingrese los valores del Voltaje y la Resistencia:\n");
                scanf("%f\t%f", &Voltaje, &Resistencia);
                printf("\tVoltaje\t\tIntensidad\tResistencia\n");
                printf("\t%f\t%f\t%f\n", Voltaje, Voltaje/Resistencia, Resistencia);
                break;
           case 3:
                printf("Desea calcular la Resistencia\n");
                printf("Ingrese los valores de Voltaje y la Intensidad:\n");
                scanf("%f\t%f", &Voltaje, &Intensidad);
                printf("\tVoltaje\t\tIntensidad\tResistencia\n");
                printf("\t%f\t%f\t%f\n", Voltaje, Intensidad, Voltaje/Intensidad);
                break;
           default:
                printf("No ha ingresado dato v%clido\n", 160);
                printf("El programa se cerrar%c\n", 160);
                system("pause");
                return  0;
                                                                  
           }
    
    system ("pause");
    
}
